<!-- Nav -->
<%- include('../partials/nav', {active: "vault"}); %>

<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1>
                Enable New KV Engine
            </h1>
            <% include ../partials/messages %>
            <form action="/vault/kv/enable" method="POST">
                <div class="form-group">

                    <div class="form-row mb-2">
                        <div class="col">
                            <label for="pathInput">Path</label>
                            <input id="pathInput" type="text" class="form-control" placeholder="Path" name="path" required>
                        </div>
                        <div class="col">
                            <label for="versionInput">Version <i class="fas fa-info-circle" data-toggle="tooltip" title="The KV Secrets Engine can operate in different modes. Version 1 is the original generic Secrets Engine the allows for storing of static key/value pairs. Version 2 added more features including data versioning, TTLs, and check and set."></i></label>
                            <select id="versionInput" class="form-control" name="version" required readonly>
                                <option value="1" selected>1</option>
                                <option value="2">2</option>
                            </select>
                        </div>
                    </div>

                </div>
                <button type="submit" class="btn btn-primary">Enable Engine</button>
                <a class="btn btn-secondary" href="/vault">Back</a>
            </form>
        </main>
    </div>
</div>